package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.domain.SysCate;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface SysCateMapper {

    int deleteByPrimaryKey(String cateCode);

    int insert(SysCate record);

    int insertSelective(SysCate record);

    SysCate selectByPrimaryKey(String cateCode);

    int updateByPrimaryKeySelective(SysCate record);

    int updateByPrimaryKey(SysCate record);

    List<SysCate> findAll(SysCate record);

    List<SysCate> countNum(@Param("status") String status);

    List<SysCate> findParent();

    List<SysCate> findAllO(SysCate record);

    int updateStatus(SysCate cate);

    int getCount();

    List<SysCate> findChildren(SysCate sysCate);

    List<SysCate> selectFirstCate();

    List<SysCate> listByPcode(@Param("catePcode") String catePcode);
}
